Skip to main content
GET
/
api
/
v1
/
agents
/
{agent_id}
/
versions
List versions of an agent
curl --request GET \
  --url https://agents.nanonets.com/api/v1/agents/{agent_id}/versions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "version_number": 123,
      "name": "<string>",
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Workspace API key issued from the web app. Pass as Authorization: Bearer YOUR_API_KEY.

Path Parameters

agent_id
string<uuid>
required

UUID of the agent.

Response

Version history (most-recent first).

data
object[]
required